Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Mar 2023 09:29:19 +0200

> From: Po Lu <[email-masked]>
> Cc: Gregory Heytings <[email-masked]>,  [email-masked],  Eli
>  Zaretskii <[email-masked]>
> Date: Fri, 03 Mar 2023 08:54:43 +0800
> 
> Also, since we now know blink-cursor-mode was previously screwing with
> the results, would you please try some other window manager again and
> see if the problem reproduces without GNOME?

For a good measure, also disable global-eldoc-mode.  I've found long
ago that blink-cursor-mode and global-eldoc-mode get in the way of
debugging and testing various redisplay problems, because they tend to
trigger extra redisplay cycles.

For an even cleaner environment, I suggest to disable all the timers
that we run by default (see "M-x list-timers").  Timers change how our
main loop behaves, and the routine redisplay calls are part of the
main loop.